#include <stdio.h>
#include <conio.h>
#include "ijvm_l0.h"
#include "ijvm_l1.h"
#define objref 13
#define method1 20
#define method2 40

void declare_constant()
     {
     /* constant pool */
     u_int base=*CPP;
     ijvm_l0_memory[base+0]=1;
     ijvm_l0_memory[base+1]=2;
     ijvm_l0_memory[base+2]=6;
     ijvm_l0_memory[base+3]=4;
     ijvm_l0_memory[base+method1]=0;
     ijvm_l0_memory[base+method2]=2;
     }

void declare_method()
     {
     /* method area */
     u_int base= *PC;
      /* method 1*/
     ijvm_l0_memory[base+0]=2;           /* n di parametri */
     ijvm_l0_memory[base+1]=1;           /* n di variabili */
      /* method 2*/
     ijvm_l0_memory[base+2]=2;           /* n di parametri */
     ijvm_l0_memory[base+3]=1;           /* n di variabili */
     }

void imethod1()
     {
     iload(1);
     iload(2);
     iadd();
     ireturn();
     }

void imethod2()
     {
     iload(1);
     iload(2);
     isub();
     ireturn();
     }

void getmethod(int method)
     {
     switch (method)
	    {
	    case method1: imethod1(); break;
	    case method2: imethod2(); break;
	    default: break;
	    }
     }


int  keypressed()
     {
     getc(stdin);
     return 1;
     }

int  main()
     {

     clrscr();
     printf("[] ijvm test\n");
     printf("\n");

     ijvm_l1_init();

     declare_constant();
     declare_method();

     /* parametri */
     printf("method1=a+b\n");
     bipush(objref);
     bipush(1);
     bipush(9);

     getmethod(invokevirtual(method1));
     ishow();
     printf("\n");

     /* parametri */
     printf("method2=a-b\n");
     bipush(objref);
     bipush(10);
     bipush(1);

     getmethod(invokevirtual(method2));
     ishow();
     printf("\n");

     printf("method1 + method2\n");
     iadd();
     ishow();
     ijvm_l0_register_show();
     ijvm_l1_done();

     while(keypressed() != 1);
     }


