typedef union {
  MasmLine *line;
  MasmLabel *label;
  MasmInsn *insn;
  MasmAssign *assign;
  MasmAlu *alu;
  char *id;
  int integer;
  int reg;
  int cond;
} YYSTYPE;
#define	T_RD	257
#define	T_WR	258
#define	T_FETCH	259
#define	T_EMPTY	260
#define	T_HALT	261
#define	T_GOTO	262
#define	T_CONST	263
#define	T_IF	264
#define	T_ELSE	265
#define	T_N	266
#define	T_Z	267
#define	T_INV	268
#define	T_AND	269
#define	T_OR	270
#define	T_RSHIFT	271
#define	T_LSHIFT	272
#define	T_NEWLINE	273
#define	T_MAR	274
#define	T_MDR	275
#define	T_PC	276
#define	T_MBR	277
#define	T_MBRU	278
#define	T_SP	279
#define	T_LV	280
#define	T_CPP	281
#define	T_TOS	282
#define	T_OPC	283
#define	T_H	284
#define	T_LABEL	285


extern YYSTYPE yylval;
