#include <stdio.h>
#include <conio.h>
#include "ijvm_l0.h"
#include "ijvm_l1.h"
#define objref 13
#define method1 20

void declare_constant()
     {
     /* constant pool */
     u_int base=*CPP;
     ijvm_l0_memory[base+0]=1;        // some constants
     ijvm_l0_memory[base+1]=2;
     ijvm_l0_memory[base+2]=6;
     ijvm_l0_memory[base+3]=4;
     ijvm_l0_memory[base+method1]=0;  // method 1 pointer (pt to method area)
     }

void declare_method()
     {
     /* method area */
     u_int base= *PC;
      /* method 1*/
     ijvm_l0_memory[base+0]=2;           /* n di parametri */
     ijvm_l0_memory[base+1]=1;           /* n di variabili */
     }

void imethod1()
     /*
     **** RDA
     0 objref
     1 param1
     2 param2
     3 var1
     */
     {
     bipush(-11);
     istore(3);
     iload(3);   // 3 = var1
     ireturn();
     }

void getmethod(int method)
     {
     switch (method)
	    {
	    case method1: imethod1(); break;
	    default: break;
	    }
     }


int  keypressed()
     {
     getc(stdin);
     return 1;
     }

int  main()
     {

     clrscr();
     printf("[] ijvm test\n");
     printf("\n");

     ijvm_l1_init();

     declare_constant();
     declare_method();

     /* parameters */
     printf("method1 \n");
     bipush(objref);
     bipush(171);    // parameter

     getmethod(invokevirtual(method1));
     ishow();
     printf("\n");

     ijvm_l0_register_show();
     ijvm_l1_done();

     while(keypressed() != 1);
     }


