typedef union {
  struct { char *value; int line_num; } symbol;
  struct { unsigned int value; int line_num; } integer;
  JasmMethod *method;
  JasmOperand *operand;
  JasmDir *dir;
  JasmInsn *insn;
  struct { IJVMInsnTemplate *tmpl; int line_num; } mnemonic;
  JasmExpr *expr;
  int line_num;
} YYSTYPE;
#define	T_BIPUSH	257
#define	T_DUP	258
#define	T_GOTO	259
#define	T_IADD	260
#define	T_IAND	261
#define	T_IFEQ	262
#define	T_IFLT	263
#define	T_IF_ICMPEQ	264
#define	T_IINC	265
#define	T_ILOAD	266
#define	T_INVOKEVIRTUAL	267
#define	T_IOR	268
#define	T_IRETURN	269
#define	T_ISTORE	270
#define	T_ISUB	271
#define	T_LDC_W	272
#define	T_NOP	273
#define	T_POP	274
#define	T_SWAP	275
#define	T_NEWLINE	276
#define	T_METHOD	277
#define	T_LOCALS	278
#define	T_ARGS	279
#define	T_DEFINE	280
#define	T_SYMBOL	281
#define	T_LABEL	282
#define	T_INTEGER	283
#define	T_MNEMONIC	284
#define	UNARY	285


extern YYSTYPE yylval;
